Bug 1737342 - [RFE] enhancement adcli to set description attribute and to show all AD attributes
Summary: [RFE] enhancement adcli to set description attribute and to show all AD attri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: adcli
Version: 8.2
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.2
Assignee: Sumit Bose
QA Contact: sssd-qe
URL:
Whiteboard: sync-to-jira
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-05 07:38 UTC by mpanaous
Modified: 2020-04-28 16:58 UTC (History)
4 users (show)

Fixed In Version: adcli-0.8.2-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:58:21 UTC
Type: Enhancement
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1874 None None None 2020-04-28 16:58:29 UTC

Comment 5 shridhar 2019-12-19 10:15:33 UTC
How to Test this bugfix?

Comment 6 Sumit Bose 2019-12-19 10:39:17 UTC
(In reply to shridhar from comment #5)
> How to Test this bugfix?

Hi,

with this fix 'adcli join' and 'adcli update' have the new option '--description' to set the 'description' attribute in the AD host objects. Use this option with 'join' or 'update' and check if the 'description' attribute is set accordingly.

HTH

bye,
Sumit

Comment 7 shridhar 2020-01-06 11:17:13 UTC
Tested against: adcli-0.8.2-4.el8.x86_64


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   adcli add and modify the description attribute of rhel-client
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [ 04:50:51 ] :: [  BEGIN   ] :: Joining computer to AD :: actually running 'echo ADMIN_PASS_VAR | adcli join --verbose --description='description added at joining by shridhar' --stdin-password -U Amy-admin -S ad.baseos.qe'
:: [ 04:50:58 ] :: [   PASS   ] :: Joining computer to AD (Expected 0, got 0)
:: [ 04:51:01 ] :: [   PASS   ] :: Command 'echo -n AD_ADMIN_PASS! | kinit 'ADMINISTRATOR@AD.BASEOS.QE'' (Expected 0, got 0)
:: [ 04:51:05 ] :: [   PASS   ] :: Command 'adcli show-computer -C --domain='ad.baseos.qe'' (Expected 0, got 0)
:: [ 04:51:08 ] :: [   PASS   ] :: Command 'adcli update -C --verbose --description='modified shridhar with updatesdf' --domain='ad.baseos.qe'' (Expected 0, got 0)
:: [ 04:51:10 ] :: [   PASS   ] :: Command 'adcli show-computer -C --domain='ad.baseos.qe'' (Expected 0, got 0)
:: [ 04:51:10 ] :: [   LOG    ] :: Clean up
:: [ 04:51:10 ] :: [   PASS   ] :: klist -kte (Expected 0, got 0)
:: [ 04:51:14 ] :: [   PASS   ] :: Command 'echo -n AD_PASS_VAR! | adcli delete-computer --verbose --domain ad.baseos.qe --login-user Amy-admin --stdin-password' (Expected 0, got 0)
:: [ 04:51:14 ] :: [   PASS   ] :: Command 'kdestroy -A' (Expected 0, got 0)
:: [ 04:51:14 ] :: [   PASS   ] :: Command 'rm -f /etc/krb5.keytab' (Expected 0, got 0)
:: [ 04:51:14 ] :: [   PASS   ] :: rm -f rlRun_LOG (Expected 0, got 0)
:: [ 04:51:14 ] :: [   LOG    ] :: Computer was removed from AD domain
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   Duration: 23s
::   Assertions: 10 good, 0 bad
::   RESULT: PASS (adcli add and modify the description attribute of rhel-client)


Marking verified

Comment 12 errata-xmlrpc 2020-04-28 16:58:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1874


Note You need to log in before you can comment on or make changes to this bug.